<?php
/**
* Functions template used by gitem
* @package gitem
* @since 1.0
*/
function gitem_widgets_init() {    
	register_sidebar(array(
	    'id' => 'sidebar',
		'name' => 'sidebar',
		'before_widget' => '<li id="%1$s" class="side widget %2$s">', 
		'after_widget' => '</li>',
		'before_title' => '<h3 class="title3">', 
		'after_title' => '</h3>' 
	));
 
}

add_action( 'widgets_init', 'gitem_widgets_init');


add_action( 'after_setup_theme', 'gitem_setup' );


if ( ! isset( $content_width ) )
	$content_width = 570;






function gitem_setup() {
	require( get_template_directory() . '/inc/theme-options.php' );
	load_theme_textdomain( 'gitem', get_template_directory() . '/languages' );
	global $wp_version;
	add_theme_support( 'custom-background' ); 
	add_editor_style();
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'automatic-feed-links' );
	register_nav_menu( 'primary',  'Primary Menu' );
	add_theme_support( 'post-formats', array( 'aside', 'link', 'gallery', 'status', 'quote', 'image' ) );
	add_theme_support( 'custom-header' );
	$defaults = array(
	'default-image'          => '%s/images/space.gif',
	'random-default'         => false,
	'width'                  => 950,
	'height'                 => 125,
	'flex-height'            => false,
	'flex-width'             => false,
	'default-text-color'     => '000',
	'header-text'            => true,
	'uploads'                => true,
	'wp-head-callback'       => 'gitem_header_style',
	'admin-head-callback'    => '',
	'admin-preview-callback' => '',
);
add_theme_support( 'custom-header', $defaults );
	
function gitem_header_style() {
	$text_color = get_header_textcolor();

	// If no custom options for text are set, let's bail.
	if ( $text_color == HEADER_TEXTCOLOR )
		return;

	// If we get this far, we have custom styles. Let's do this.
	?>
	<style type="text/css">
		#header,#header a{
			color: #<?php echo $text_color; ?> !important;
		}
	</style>
	<?php
}

	
	
}
function gitem_page_menu_args( $args ) {
	$args['show_home'] = true;
	return $args;
}
add_filter( 'wp_page_menu_args', 'gitem_page_menu_args' );








?>
