<?php
/**
* Header template used by gitem
* @package gitem
* @since 1.0
*/
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title>
<?php
	/*
	 * Print the <title> tag based on what is being viewed.
	 */
	global $page, $paged;

	wp_title( '|', true, 'right' );

	// Add the blog name.
	bloginfo( 'name' );

	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";

	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( 'Page %s', max( $paged, $page ) );

	?>
</title>
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php
	if ( is_singular() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );

	wp_head();
?>
</head>
<body <?php body_class(); ?>>
<div id="wrap">
<div id="header">
  <?php
					// Check if this is a post or page, if it has a thumbnail, and if it's a big one
					if (get_header_image() ) : ?>
  <div id="headimg" style="max-width:<?php echo HEADER_IMAGE_WIDTH; ?>px;height:<?php echo HEADER_IMAGE_HEIGHT; ?>px;background-image:url(<?php esc_url ( header_image() ) ?>);">
    <?php if ( 'blank' != get_header_textcolor() ) { ?>
    <h1><a id="name" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'gitem' ) ); ?>" rel="home" style="color:<?php get_header_textcolor() ?> " >
      <?php bloginfo( 'name' ); ?>
      </a></h1>
    <div id="desc">
      <?php bloginfo( 'description' ); ?>
    </div>
    <?php } ?>
  </div>
  <?php else:?>
     <h1><a id="name" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'gitem' ) ); ?>" rel="home" >
      <?php bloginfo( 'name' ); ?>
      </a></h1>
    <div id="desc">
      <?php bloginfo( 'description' ); ?>
    </div> 
  <?php endif; ?>
</div>
<div id="nav">
  <?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
</div>
<div id="main">
