<?php
/**
* Sidebar template used by gitem
* @package gitem
* @since 1.0
*/
?>
<div id="sidebar">
  <ul>
    <?php if (is_active_sidebar( 'sidebar' )) : ?>
    <?php dynamic_sidebar( 'sidebar' ); ?>
    <?php else : ?>
    <li>
      <div class="side_bg"></div>
      <h3 class="title3">
        <?php _e( 'pages', 'gitem' ) ?>
      </h3>
      <ul>
        <?php wp_list_pages('sort_column=menu_order&depth=1&title_li='); ?>
      </ul>
    </li>
    <li>
      <div class="side_bg"></div>
      <h3 class="title3">
        <?php _e( 'categories', 'gitem' ) ?>
      </h3>
      <ul>
        <?php wp_list_categories('title_li='); ?>
      </ul>
    </li>
    <li>
      <div class="side_bg"></div>
      <h3 class="title3">
        <?php _e( 'archives', 'gitem' ) ?>
      </h3>
      <ul>
        <?php wp_get_archives('type=monthly');?>
      </ul>
    </li>
    <li>
      <div class="side_bg"></div>
      <h3 class="title3">
        <?php _e( 'links', 'gitem' ) ?>
      </h3>
      <ul>
        <?php wp_list_bookmarks('title_li=&categorize=0'); ?>
      </ul>
    </li>
    <li>
      <div class="side_bg"></div>
      <h3 class="title3">
        <?php _e( 'meta', 'gitem' ) ?>
      </h3>
      <ul>
        <?php wp_register(); ?>
        <li>
          <?php wp_loginout(); ?>
        </li>
        <?php wp_meta(); ?>
      </ul>
    </li>
    <?php endif; ?>
  </ul>
</div>
